Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
symkey.h File Reference
`#include <botan/secmem.h>`
`#include <string>`

Go to the source code of this file.

## Classes
class | Botan::OctetString

## Namespaces
| Botan

## Typedefs
using | Botan::InitializationVector = OctetString
using | Botan::SymmetricKey = OctetString

## Functions
bool | Botan::operator!= (const OctetString &s1, const OctetString &s2)
OctetString | Botan::operator+ (const OctetString &k1, const OctetString &k2)
bool | Botan::operator== (const OctetString &s1, const OctetString &s2)
OctetString | Botan::operator^ (const OctetString &k1, const OctetString &k2)